---
layout: default.liquid
---
# {{site.title}}

Hi! We're The System.

## Projects
Most of the projects here are unfinished or not very useful, sorry.

### blur
[bytes.keithhacks.cyou/erin/blur](https://bytes.keithhacks.cyou/erin/blur)

A simple program to blurhash images from the commandline.

Written in `Rust` using the [blurhash](https://docs.rs/blurhash/latest/blurhash/) crate.

### tinymark
[bytes.keithhacks.cyou/erin/tinymark](https://bytes.keithhacks.cyou/erin/tinymark)

A tiny bookmark manager. Supports most basic functionality.

Written in `Rust`

### catgirl.cooking
[bytes.keithhacks.cyou/erin/catgirl-cooking](https://bytes.keithhacks.cyou/erin/catgirl-cooking)

A simple cooking/recipe site. The backend generates & updates the static frontend code, and eventually will handle new recipe submissions, etc.

Backend code written in `Rust` using [Rocket](https://rocket.rs/), [sled](https://sled.rs), and [build_html](https://docs.rs/build_html/latest/build_html/).

### Website
[bytes.keithhacks.cyou/erin/website](https://bytes.keithhacks.cyou/erin/website)

This website!

Written using `HTML`, `SCSS`, and `Markdown`.

Uses the [cobalt](https://cobalt-org.github.io/) static site generator.

### TI-UI
[bytes.keithhacks.cyou/erin/TI-UI](https://bytes.keithhacks.cyou/erin/TI-UI)

An attempt to make a custom UI library for the TI-84 calculator.

Very much a work in progress.

Written in `C` using the [CE-Programming](https://github.com/CE-Programming/toolchain) toolchain.

### Deadswitch
[scripts/deadswitch.nim](https://bytes.keithhacks.cyou/erin/misc/src/branch/main/scripts/deadswitch.nim)

A very basic deadman's switch written in `Nim`.
